player_laser_data_scanpose Struct Reference

Data: pose-stamped scan (PLAYER_LASER_DATA_SCANPOSE) More...

`#include <player_interfaces.h>`

## Public Attributes

player_laser_data_t | scan
| The scan data.
player_pose2d_t | pose
| The global pose of the laser at the time the scan was acquired.

## Detailed Description

Data: pose-stamped scan (PLAYER_LASER_DATA_SCANPOSE)

A laser scan with a pose that indicates the (possibly esimated) pose of the laser when the scan was taken.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45